'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Embed Video
  * Need Wrapper to control the size */
function EmbedVideo(_ref) {
  var width = _ref.width,
      height = _ref.height,
      src = _ref.src;

  return _react2.default.createElement(
    _rebass.Embed,
    null,
    _react2.default.createElement('iframe', { src: src, frameBorder: '0', allowFullScreen: true })
  );
}

EmbedVideo.propTypes = {
  /** url */
  src: _propTypes2.default.string
};

EmbedVideo.defaultProps = {
  src: 'https://www.youtube.com/embed/KQ6zr6kCPj8?ecver=1'
};

exports.default = EmbedVideo;