'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactResponsiveCarousel = require('react-responsive-carousel');

var _carouselMin = require('react-responsive-carousel/lib/styles/carousel.min.css');

var _carouselMin2 = _interopRequireDefault(_carouselMin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Gallery(_ref) {
  var images = _ref.images;

  return _react2.default.createElement(
    _reactResponsiveCarousel.Carousel,
    {
      axis: 'horizontal',
      showArrows: true,
      showStatus: false,
      showThumbs: false,
      infiniteLoop: true,
      interval: 3500,
      dynamicHeight: true },
    images.map(function (image) {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement('img', { src: image })
      );
    })
  );
}

Gallery.propTypes = {
  images: _propTypes2.default.array
};

Gallery.defaultProps = {
  images: ['http://lorempixel.com/400/300/', 'http://lorempixel.com/400/300/', 'http://lorempixel.com/400/300/']
};

exports.default = Gallery;