'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Spacer - make space between components */
function Spacer(_ref) {
  var mys = _ref.mys;

  return _react2.default.createElement(_rebass.Divider, { style: { backgroundColor: 'transparent' }, w: 1, my: mys, color: 'transparent' });
}

Spacer.propTypes = {
  /** margin ys to display */
  mys: _propTypes2.default.array
};

Spacer.defaultProps = {
  mys: [2, 3, 4, 5]
};

exports.default = Spacer;