'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Logo Image button */
function Logo(_ref) {
  var src = _ref.src;

  return _react2.default.createElement(_rebass.Image, { style: { height: '36px' }, src: src });
}

Logo.propTypes = {
  /** src to display */
  src: _propTypes2.default.string
};

Logo.defaultProps = {
  src: 'http://via.placeholder.com/150x36'
};

exports.default = Logo;